import os
from datetime import datetime
from notifications.n8n import N8NWebhookJwt

secret_key = os.environ['N8N_SECRET']
webhook_url = os.environ['N8N_WEBHOOK_URL']

payload = {
    "message": "Hello, N8N webhook with JWT!",
    "timestamp": datetime.now().isoformat()
}

webhook_client = N8NWebhookJwt(secret_key, webhook_url)

result = webhook_client.send_webhook(payload)
print(result['status'])
